Create a wallet grant

Requires the WALLET_GRANT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
The type of wallet grant.
Allowed values:
customer_idstring or nullOptional
The ID of the customer.
wallet_idstring or nullOptional
The ID of the wallet.
descriptionstring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The description of the wallet grant.
grant_amountobjectOptional
The value of the grant in case of an amount wallet type.
grant_creditsobjectOptional
The value of the grant in case of a credits wallet type.
paid_amountobjectOptional
The value of the grant in case of an amount wallet type.
start_atdatetime or nullOptional
expire_atdatetime or nullOptional

Response

Created
typeenum
The type of wallet grant.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
The ID of the customer.
wallet_idstring or null
The ID of the wallet.
descriptionstring or nullformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The description of the wallet grant.
grant_amountobject
The value of the grant in case of an amount wallet type.
grant_creditsobject
The value of the grant in case of a credits wallet type.
paid_amountobject
The value of the grant in case of an amount wallet type.
start_atdatetime or null
expire_atdatetime or null
created_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error